Update a version

Deprecated
View as Markdown

Updates an API version.

Note:

This endpoint returns an HTTP 404 Not Found response when an API version is pending publication.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
versionIdstringRequired
The API's version ID.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Request

This endpoint expects an object.
namestringRequired
The version's name.
releaseNotesstringOptional

The version’s Markdown-supported release notes.

Response

Successful Response
idstring
The version's ID.
namestring
The version's name.
createdAtdatetime
The date and time at which the version was created.
updatedAtdatetime
The date and time at which the version was last updated.
releaseNotesstring
The version's release notes.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error